Subject: [RTG-DIR] RtgDir Early review: draft-ietf-bess-datacenter-gateway.txt

From: Ravi Singh <[email-masked]>
Date: Sat, 27 Jun 2020 00:11:17 -0700

Hello

I have been selected to do a routing directorate “early” review of this draft.

https://datatracker.ietf.org/doc/draft-ietf-bess-datacenter-gateway/ <https://datatracker.ietf.org/doc/draft-ietf-bess-datacenter-gateway/> 

The routing directorate will, on request from the working group chair, perform an “early” review of a draft before it is submitted for publication to the IESG. The early review can be performed at any time during the draft’s lifetime as a working group document. The purpose of the early review depends on the stage that the document has reached. As this document is in working group last call, my focus for the review was to determine whether the document is ready to be published. Please consider my comments along with the other working group last call comments.

Document: draft-ietf-bess-datacenter-gateway <https://datatracker.ietf.org/doc/draft-ietf-bess-datacenter-gateway/>.txt
Reviewer: Ravi Singh
Review Date: 06/26/2020
Intended Status: Standards track (but is it the right one? Should this be informational instead, since no new encodings are explicitly specified)

Summary:
I have some minor concerns about this document that I think should be resolved before it is submitted to the IESG.

Comments:
1. Draft track: does this need to be "standards track”? No new encodings are specified, even though there are requests for new IANA code-points.
2. Section 3:
	a. Auto-discovery: setting the route-target to SR-ID: how to avoid conflicts in regards to route-target settings: some may represent the SR ID and other represent non-SR constructs? Some text in that regard would be helpful.
	b. The draft would do well to explicitly state what happens if the GWs in a given domain end up getting configured with different SR IDs.
	c. Is there a specific reason why neither the format for the SR tunnel TLV is listed nor a pointer given to a pre-existing definition in another doc?
3. Section. 5: could use an example with reference to figure 1.
4. Section 6: would be useful to describe, or provide pointer to section in the tunnel-encaps draft, stating logic for picking a specific encapsulation for a given packet.

Regards
Ravi